Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ffe3::/16
First address
ffe3::
Last address
ffe3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ffe3:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
3.e.f.f.ip6.arpa
Split into smaller subnets/28

ffe3::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1ffe3::/28ffe3:f:ffff:ffff:ffff:ffff:ffff:ffff
2ffe3:10::/28ffe3:1f:ffff:ffff:ffff:ffff:ffff:ffff
3ffe3:20::/28ffe3:2f:ffff:ffff:ffff:ffff:ffff:ffff
4ffe3:30::/28ffe3:3f:ffff:ffff:ffff:ffff:ffff:ffff
5ffe3:40::/28ffe3:4f:ffff:ffff:ffff:ffff:ffff:ffff
6ffe3:50::/28ffe3:5f:ffff:ffff:ffff:ffff:ffff:ffff
7ffe3:60::/28ffe3:6f:ffff:ffff:ffff:ffff:ffff:ffff
8ffe3:70::/28ffe3:7f:ffff:ffff:ffff:ffff:ffff:ffff
9ffe3:80::/28ffe3:8f:ffff:ffff:ffff:ffff:ffff:ffff
10ffe3:90::/28ffe3:9f:ffff:ffff:ffff:ffff:ffff:ffff
11ffe3:a0::/28ffe3:af:ffff:ffff:ffff:ffff:ffff:ffff
12ffe3:b0::/28ffe3:bf:ffff:ffff:ffff:ffff:ffff:ffff
13ffe3:c0::/28ffe3:cf:ffff:ffff:ffff:ffff:ffff:ffff
14ffe3:d0::/28ffe3:df:ffff:ffff:ffff:ffff:ffff:ffff
15ffe3:e0::/28ffe3:ef:ffff:ffff:ffff:ffff:ffff:ffff
16ffe3:f0::/28ffe3:ff:ffff:ffff:ffff:ffff:ffff:ffff
17ffe3:100::/28ffe3:10f:ffff:ffff:ffff:ffff:ffff:ffff
18ffe3:110::/28ffe3:11f:ffff:ffff:ffff:ffff:ffff:ffff
19ffe3:120::/28ffe3:12f:ffff:ffff:ffff:ffff:ffff:ffff
20ffe3:130::/28ffe3:13f:ffff:ffff:ffff:ffff:ffff:ffff
21ffe3:140::/28ffe3:14f:ffff:ffff:ffff:ffff:ffff:ffff
22ffe3:150::/28ffe3:15f:ffff:ffff:ffff:ffff:ffff:ffff
23ffe3:160::/28ffe3:16f:ffff:ffff:ffff:ffff:ffff:ffff
24ffe3:170::/28ffe3:17f:ffff:ffff:ffff:ffff:ffff:ffff
25ffe3:180::/28ffe3:18f:ffff:ffff:ffff:ffff:ffff:ffff
26ffe3:190::/28ffe3:19f:ffff:ffff:ffff:ffff:ffff:ffff
27ffe3:1a0::/28ffe3:1af:ffff:ffff:ffff:ffff:ffff:ffff
28ffe3:1b0::/28ffe3:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29ffe3:1c0::/28ffe3:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30ffe3:1d0::/28ffe3:1df:ffff:ffff:ffff:ffff:ffff:ffff
31ffe3:1e0::/28ffe3:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32ffe3:1f0::/28ffe3:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33ffe3:200::/28ffe3:20f:ffff:ffff:ffff:ffff:ffff:ffff
34ffe3:210::/28ffe3:21f:ffff:ffff:ffff:ffff:ffff:ffff
35ffe3:220::/28ffe3:22f:ffff:ffff:ffff:ffff:ffff:ffff
36ffe3:230::/28ffe3:23f:ffff:ffff:ffff:ffff:ffff:ffff
37ffe3:240::/28ffe3:24f:ffff:ffff:ffff:ffff:ffff:ffff
38ffe3:250::/28ffe3:25f:ffff:ffff:ffff:ffff:ffff:ffff
39ffe3:260::/28ffe3:26f:ffff:ffff:ffff:ffff:ffff:ffff
40ffe3:270::/28ffe3:27f:ffff:ffff:ffff:ffff:ffff:ffff
41ffe3:280::/28ffe3:28f:ffff:ffff:ffff:ffff:ffff:ffff
42ffe3:290::/28ffe3:29f:ffff:ffff:ffff:ffff:ffff:ffff
43ffe3:2a0::/28ffe3:2af:ffff:ffff:ffff:ffff:ffff:ffff
44ffe3:2b0::/28ffe3:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45ffe3:2c0::/28ffe3:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46ffe3:2d0::/28ffe3:2df:ffff:ffff:ffff:ffff:ffff:ffff
47ffe3:2e0::/28ffe3:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48ffe3:2f0::/28ffe3:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49ffe3:300::/28ffe3:30f:ffff:ffff:ffff:ffff:ffff:ffff
50ffe3:310::/28ffe3:31f:ffff:ffff:ffff:ffff:ffff:ffff
51ffe3:320::/28ffe3:32f:ffff:ffff:ffff:ffff:ffff:ffff
52ffe3:330::/28ffe3:33f:ffff:ffff:ffff:ffff:ffff:ffff
53ffe3:340::/28ffe3:34f:ffff:ffff:ffff:ffff:ffff:ffff
54ffe3:350::/28ffe3:35f:ffff:ffff:ffff:ffff:ffff:ffff
55ffe3:360::/28ffe3:36f:ffff:ffff:ffff:ffff:ffff:ffff
56ffe3:370::/28ffe3:37f:ffff:ffff:ffff:ffff:ffff:ffff
57ffe3:380::/28ffe3:38f:ffff:ffff:ffff:ffff:ffff:ffff
58ffe3:390::/28ffe3:39f:ffff:ffff:ffff:ffff:ffff:ffff
59ffe3:3a0::/28ffe3:3af:ffff:ffff:ffff:ffff:ffff:ffff
60ffe3:3b0::/28ffe3:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61ffe3:3c0::/28ffe3:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62ffe3:3d0::/28ffe3:3df:ffff:ffff:ffff:ffff:ffff:ffff
63ffe3:3e0::/28ffe3:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64ffe3:3f0::/28ffe3:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65ffe3:400::/28ffe3:40f:ffff:ffff:ffff:ffff:ffff:ffff
66ffe3:410::/28ffe3:41f:ffff:ffff:ffff:ffff:ffff:ffff
67ffe3:420::/28ffe3:42f:ffff:ffff:ffff:ffff:ffff:ffff
68ffe3:430::/28ffe3:43f:ffff:ffff:ffff:ffff:ffff:ffff
69ffe3:440::/28ffe3:44f:ffff:ffff:ffff:ffff:ffff:ffff
70ffe3:450::/28ffe3:45f:ffff:ffff:ffff:ffff:ffff:ffff
71ffe3:460::/28ffe3:46f:ffff:ffff:ffff:ffff:ffff:ffff
72ffe3:470::/28ffe3:47f:ffff:ffff:ffff:ffff:ffff:ffff
73ffe3:480::/28ffe3:48f:ffff:ffff:ffff:ffff:ffff:ffff
74ffe3:490::/28ffe3:49f:ffff:ffff:ffff:ffff:ffff:ffff
75ffe3:4a0::/28ffe3:4af:ffff:ffff:ffff:ffff:ffff:ffff
76ffe3:4b0::/28ffe3:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77ffe3:4c0::/28ffe3:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78ffe3:4d0::/28ffe3:4df:ffff:ffff:ffff:ffff:ffff:ffff
79ffe3:4e0::/28ffe3:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80ffe3:4f0::/28ffe3:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81ffe3:500::/28ffe3:50f:ffff:ffff:ffff:ffff:ffff:ffff
82ffe3:510::/28ffe3:51f:ffff:ffff:ffff:ffff:ffff:ffff
83ffe3:520::/28ffe3:52f:ffff:ffff:ffff:ffff:ffff:ffff
84ffe3:530::/28ffe3:53f:ffff:ffff:ffff:ffff:ffff:ffff
85ffe3:540::/28ffe3:54f:ffff:ffff:ffff:ffff:ffff:ffff
86ffe3:550::/28ffe3:55f:ffff:ffff:ffff:ffff:ffff:ffff
87ffe3:560::/28ffe3:56f:ffff:ffff:ffff:ffff:ffff:ffff
88ffe3:570::/28ffe3:57f:ffff:ffff:ffff:ffff:ffff:ffff
89ffe3:580::/28ffe3:58f:ffff:ffff:ffff:ffff:ffff:ffff
90ffe3:590::/28ffe3:59f:ffff:ffff:ffff:ffff:ffff:ffff
91ffe3:5a0::/28ffe3:5af:ffff:ffff:ffff:ffff:ffff:ffff
92ffe3:5b0::/28ffe3:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93ffe3:5c0::/28ffe3:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94ffe3:5d0::/28ffe3:5df:ffff:ffff:ffff:ffff:ffff:ffff
95ffe3:5e0::/28ffe3:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96ffe3:5f0::/28ffe3:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97ffe3:600::/28ffe3:60f:ffff:ffff:ffff:ffff:ffff:ffff
98ffe3:610::/28ffe3:61f:ffff:ffff:ffff:ffff:ffff:ffff
99ffe3:620::/28ffe3:62f:ffff:ffff:ffff:ffff:ffff:ffff
100ffe3:630::/28ffe3:63f:ffff:ffff:ffff:ffff:ffff:ffff
101ffe3:640::/28ffe3:64f:ffff:ffff:ffff:ffff:ffff:ffff
102ffe3:650::/28ffe3:65f:ffff:ffff:ffff:ffff:ffff:ffff
103ffe3:660::/28ffe3:66f:ffff:ffff:ffff:ffff:ffff:ffff
104ffe3:670::/28ffe3:67f:ffff:ffff:ffff:ffff:ffff:ffff
105ffe3:680::/28ffe3:68f:ffff:ffff:ffff:ffff:ffff:ffff
106ffe3:690::/28ffe3:69f:ffff:ffff:ffff:ffff:ffff:ffff
107ffe3:6a0::/28ffe3:6af:ffff:ffff:ffff:ffff:ffff:ffff
108ffe3:6b0::/28ffe3:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109ffe3:6c0::/28ffe3:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110ffe3:6d0::/28ffe3:6df:ffff:ffff:ffff:ffff:ffff:ffff
111ffe3:6e0::/28ffe3:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112ffe3:6f0::/28ffe3:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113ffe3:700::/28ffe3:70f:ffff:ffff:ffff:ffff:ffff:ffff
114ffe3:710::/28ffe3:71f:ffff:ffff:ffff:ffff:ffff:ffff
115ffe3:720::/28ffe3:72f:ffff:ffff:ffff:ffff:ffff:ffff
116ffe3:730::/28ffe3:73f:ffff:ffff:ffff:ffff:ffff:ffff
117ffe3:740::/28ffe3:74f:ffff:ffff:ffff:ffff:ffff:ffff
118ffe3:750::/28ffe3:75f:ffff:ffff:ffff:ffff:ffff:ffff
119ffe3:760::/28ffe3:76f:ffff:ffff:ffff:ffff:ffff:ffff
120ffe3:770::/28ffe3:77f:ffff:ffff:ffff:ffff:ffff:ffff
121ffe3:780::/28ffe3:78f:ffff:ffff:ffff:ffff:ffff:ffff
122ffe3:790::/28ffe3:79f:ffff:ffff:ffff:ffff:ffff:ffff
123ffe3:7a0::/28ffe3:7af:ffff:ffff:ffff:ffff:ffff:ffff
124ffe3:7b0::/28ffe3:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125ffe3:7c0::/28ffe3:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126ffe3:7d0::/28ffe3:7df:ffff:ffff:ffff:ffff:ffff:ffff
127ffe3:7e0::/28ffe3:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128ffe3:7f0::/28ffe3:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129ffe3:800::/28ffe3:80f:ffff:ffff:ffff:ffff:ffff:ffff
130ffe3:810::/28ffe3:81f:ffff:ffff:ffff:ffff:ffff:ffff
131ffe3:820::/28ffe3:82f:ffff:ffff:ffff:ffff:ffff:ffff
132ffe3:830::/28ffe3:83f:ffff:ffff:ffff:ffff:ffff:ffff
133ffe3:840::/28ffe3:84f:ffff:ffff:ffff:ffff:ffff:ffff
134ffe3:850::/28ffe3:85f:ffff:ffff:ffff:ffff:ffff:ffff
135ffe3:860::/28ffe3:86f:ffff:ffff:ffff:ffff:ffff:ffff
136ffe3:870::/28ffe3:87f:ffff:ffff:ffff:ffff:ffff:ffff
137ffe3:880::/28ffe3:88f:ffff:ffff:ffff:ffff:ffff:ffff
138ffe3:890::/28ffe3:89f:ffff:ffff:ffff:ffff:ffff:ffff
139ffe3:8a0::/28ffe3:8af:ffff:ffff:ffff:ffff:ffff:ffff
140ffe3:8b0::/28ffe3:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141ffe3:8c0::/28ffe3:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142ffe3:8d0::/28ffe3:8df:ffff:ffff:ffff:ffff:ffff:ffff
143ffe3:8e0::/28ffe3:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144ffe3:8f0::/28ffe3:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145ffe3:900::/28ffe3:90f:ffff:ffff:ffff:ffff:ffff:ffff
146ffe3:910::/28ffe3:91f:ffff:ffff:ffff:ffff:ffff:ffff
147ffe3:920::/28ffe3:92f:ffff:ffff:ffff:ffff:ffff:ffff
148ffe3:930::/28ffe3:93f:ffff:ffff:ffff:ffff:ffff:ffff
149ffe3:940::/28ffe3:94f:ffff:ffff:ffff:ffff:ffff:ffff
150ffe3:950::/28ffe3:95f:ffff:ffff:ffff:ffff:ffff:ffff
151ffe3:960::/28ffe3:96f:ffff:ffff:ffff:ffff:ffff:ffff
152ffe3:970::/28ffe3:97f:ffff:ffff:ffff:ffff:ffff:ffff
153ffe3:980::/28ffe3:98f:ffff:ffff:ffff:ffff:ffff:ffff
154ffe3:990::/28ffe3:99f:ffff:ffff:ffff:ffff:ffff:ffff
155ffe3:9a0::/28ffe3:9af:ffff:ffff:ffff:ffff:ffff:ffff
156ffe3:9b0::/28ffe3:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157ffe3:9c0::/28ffe3:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158ffe3:9d0::/28ffe3:9df:ffff:ffff:ffff:ffff:ffff:ffff
159ffe3:9e0::/28ffe3:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160ffe3:9f0::/28ffe3:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161ffe3:a00::/28ffe3:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162ffe3:a10::/28ffe3:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163ffe3:a20::/28ffe3:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164ffe3:a30::/28ffe3:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165ffe3:a40::/28ffe3:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166ffe3:a50::/28ffe3:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167ffe3:a60::/28ffe3:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168ffe3:a70::/28ffe3:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169ffe3:a80::/28ffe3:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170ffe3:a90::/28ffe3:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171ffe3:aa0::/28ffe3:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172ffe3:ab0::/28ffe3:abf:ffff:ffff:ffff:ffff:ffff:ffff
173ffe3:ac0::/28ffe3:acf:ffff:ffff:ffff:ffff:ffff:ffff
174ffe3:ad0::/28ffe3:adf:ffff:ffff:ffff:ffff:ffff:ffff
175ffe3:ae0::/28ffe3:aef:ffff:ffff:ffff:ffff:ffff:ffff
176ffe3:af0::/28ffe3:aff:ffff:ffff:ffff:ffff:ffff:ffff
177ffe3:b00::/28ffe3:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178ffe3:b10::/28ffe3:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179ffe3:b20::/28ffe3:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180ffe3:b30::/28ffe3:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181ffe3:b40::/28ffe3:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182ffe3:b50::/28ffe3:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183ffe3:b60::/28ffe3:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184ffe3:b70::/28ffe3:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185ffe3:b80::/28ffe3:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186ffe3:b90::/28ffe3:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187ffe3:ba0::/28ffe3:baf:ffff:ffff:ffff:ffff:ffff:ffff
188ffe3:bb0::/28ffe3:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189ffe3:bc0::/28ffe3:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190ffe3:bd0::/28ffe3:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191ffe3:be0::/28ffe3:bef:ffff:ffff:ffff:ffff:ffff:ffff
192ffe3:bf0::/28ffe3:bff:ffff:ffff:ffff:ffff:ffff:ffff
193ffe3:c00::/28ffe3:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194ffe3:c10::/28ffe3:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195ffe3:c20::/28ffe3:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196ffe3:c30::/28ffe3:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197ffe3:c40::/28ffe3:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198ffe3:c50::/28ffe3:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199ffe3:c60::/28ffe3:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200ffe3:c70::/28ffe3:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201ffe3:c80::/28ffe3:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202ffe3:c90::/28ffe3:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203ffe3:ca0::/28ffe3:caf:ffff:ffff:ffff:ffff:ffff:ffff
204ffe3:cb0::/28ffe3:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205ffe3:cc0::/28ffe3:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206ffe3:cd0::/28ffe3:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207ffe3:ce0::/28ffe3:cef:ffff:ffff:ffff:ffff:ffff:ffff
208ffe3:cf0::/28ffe3:cff:ffff:ffff:ffff:ffff:ffff:ffff
209ffe3:d00::/28ffe3:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210ffe3:d10::/28ffe3:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211ffe3:d20::/28ffe3:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212ffe3:d30::/28ffe3:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213ffe3:d40::/28ffe3:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214ffe3:d50::/28ffe3:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215ffe3:d60::/28ffe3:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216ffe3:d70::/28ffe3:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217ffe3:d80::/28ffe3:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218ffe3:d90::/28ffe3:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219ffe3:da0::/28ffe3:daf:ffff:ffff:ffff:ffff:ffff:ffff
220ffe3:db0::/28ffe3:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221ffe3:dc0::/28ffe3:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222ffe3:dd0::/28ffe3:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223ffe3:de0::/28ffe3:def:ffff:ffff:ffff:ffff:ffff:ffff
224ffe3:df0::/28ffe3:dff:ffff:ffff:ffff:ffff:ffff:ffff
225ffe3:e00::/28ffe3:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226ffe3:e10::/28ffe3:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227ffe3:e20::/28ffe3:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228ffe3:e30::/28ffe3:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229ffe3:e40::/28ffe3:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230ffe3:e50::/28ffe3:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231ffe3:e60::/28ffe3:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232ffe3:e70::/28ffe3:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233ffe3:e80::/28ffe3:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234ffe3:e90::/28ffe3:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235ffe3:ea0::/28ffe3:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236ffe3:eb0::/28ffe3:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237ffe3:ec0::/28ffe3:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238ffe3:ed0::/28ffe3:edf:ffff:ffff:ffff:ffff:ffff:ffff
239ffe3:ee0::/28ffe3:eef:ffff:ffff:ffff:ffff:ffff:ffff
240ffe3:ef0::/28ffe3:eff:ffff:ffff:ffff:ffff:ffff:ffff
241ffe3:f00::/28ffe3:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242ffe3:f10::/28ffe3:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243ffe3:f20::/28ffe3:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244ffe3:f30::/28ffe3:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245ffe3:f40::/28ffe3:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246ffe3:f50::/28ffe3:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247ffe3:f60::/28ffe3:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248ffe3:f70::/28ffe3:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249ffe3:f80::/28ffe3:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250ffe3:f90::/28ffe3:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251ffe3:fa0::/28ffe3:faf:ffff:ffff:ffff:ffff:ffff:ffff
252ffe3:fb0::/28ffe3:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253ffe3:fc0::/28ffe3:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254ffe3:fd0::/28ffe3:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255ffe3:fe0::/28ffe3:fef:ffff:ffff:ffff:ffff:ffff:ffff
256ffe3:ff0::/28ffe3:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses